Cyberduck Mountain Duck CLI

#1810 closed defect (fixed)

Crash on startup if Java 6 is default runtime

Reported by: kumarei@… Owned by: dkocher
Priority: normal Milestone: 3.0
Component: core Version: 2.8.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

System: Leopard 10.5.2

Cyberduck crashes on startup without opening. Error:

2/28/08 9:42:10 PM Cyberduck[7701] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting

2/28/08 9:42:10 PM com.apple.launchd[78] ([0x0-0x5b05b].ch.sudo.cyberduck[7701]) Exited with exit code: 1 

Removed all Cyberduck related files from my system and reinstalled, same error.

Change History (10)

comment:1 follow-up: Changed on Apr 1, 2008 at 1:12:19 AM by anonymous

I've got the same error. I just updated to Java 6 preview version

comment:2 in reply to: ↑ 1 Changed on Apr 1, 2008 at 1:24:41 AM by kumarei@…

Yeah, it's a Java error. I just found out today that one of my friends had the same problem, and can solve it by switching back to 5.0 via the Java preferences. Unfortunately, that didn't work for me, so I've reinstalled Leopard, and haven't gotten Java 6. Works again now.

comment:3 Changed on Apr 1, 2008 at 7:43:06 AM by dkocher

  • Description modified (diff)
  • Resolution set to worksforme
  • Status changed from new to closed

You have to revert any changes you made to symbolic links in /System/Library/Frameworks/JavaVM.framework/Versions.

comment:4 Changed on Apr 1, 2008 at 8:53:52 AM by philipp@…

Is there no solution with Java6? I have to use Java 6 for a couple of other projects. I just thought to change the symbolic links in Versions as i needed, but that does not work here...

comment:5 Changed on Apr 1, 2008 at 10:17:48 AM by anonymous

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:6 Changed on Apr 6, 2008 at 10:43:01 PM by dkocher

  • Summary changed from Crash on startup to Crash on startup if Java 6 is default runtime

comment:7 Changed on Apr 11, 2008 at 5:31:53 PM by dkocher

#1601 looks like the same issue.

comment:8 Changed on Apr 30, 2008 at 9:13:08 PM by dkocher

  • Milestone set to 3.0

Reported as [radar://5901349]. As a workaround, we will change the JVMVersion key in the Cyberduck Info.plist explicitly to Version 1.5

comment:9 Changed on May 1, 2008 at 4:43:15 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r3849.

comment:10 Changed on Oct 8, 2008 at 10:10:18 AM by anonymous

I need Thank you! nike shoes,jordan shoes,Adidas Shoes,Puma Shoes discount New styles have just arrived! Free Shipping Free Returns.nike shoes jordan shoes

Note: See TracTickets for help on using tickets.
swiss made software